- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead Class Reference

Inheritance diagram for Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead:

List of all members.

## Detailed Description

The head part of the preset browser with global controls for the unit.

Definition at line 315 of file CPresetBrowser.hpp.

## Public Member Functions

- CPresetBrowserHead (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL, IPresetHandler *presetHandler=NULL, CPresetBrowserSelector *selector=NULL)
- const CSystemString & getBankPath () const
- virtual void handleActionEvent (const CActionEvent &event)
- void intialise (const SPresetBrowserHeadSetup &setup)
- void setMenuWindowAttributes (CWindowAttributes *windowAttributes, const SMenuColours &colours)
- virtual ~CPresetBrowserHead ()

## Protected Types

- enum EControlIds {
  e_bankCombo = 0,
  e_loadButton,
  e_saveButton
  }
    The identifiers for the internal controls. More...

## Protected Member Functions

- void createBankMenu ()

## Protected Attributes

- CComboBox * m_bankCombo
- CMenu * m_bankMenu
- CSystemString m_bankPath
- CMomentaryButton * m_loadButton
- IPresetHandler * m_presetHandler
- CSystemString m_rootPath
- CMomentaryButton * m_saveButton
- CPresetBrowserSelector * m_selector

## Classes

- struct SPresetBrowserHeadSetup
    Setup information for the head of the browser. More...

## Member Enumeration Documentation

enum Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::EControlIds`[protected]`

The identifiers for the internal controls.

Enumerator:

  e_bankCombo | Bank selection switch id
  e_loadButton | Load button id
  e_saveButton | Save button id

Definition at line 415 of file CPresetBrowser.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::CPresetBrowserHead | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL`,
|  | IPresetHandler * | presetHandler = `NULL`,
|  | CPresetBrowserSelector * | selector = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | THe uniqueID of this control
  | area | The area of this control
  | listener | The action listener
  | presetHandler | The preset handler to use
  | selector | The selector to interface with

virtual Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::~CPresetBrowserHead | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::createBankMenu | ( |  | ) | `[protected]`

Create the bank menu

const CSystemString& Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::getBankPath | ( |  | ) | const`[inline]`

Get the last selected path

Return values:

  | const | CSystemString& The last selected path

Definition at line 374 of file CPresetBrowser.hpp.

References m_bankPath.

virtual void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::handleActionEvent | ( | const CActionEvent & | event | ) | `[virtual]`

Handle an action event

Parameters:

  | event | The event to handle

Note:
  Intended for internal use, do not call

void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::intialise | ( | const SPresetBrowserHeadSetup & | setup | ) |

Initialise

Parameters:

  | setup | The setup information for the browser

void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::setMenuWindowAttributes | ( | CWindowAttributes * | windowAttributes,
|  | const SMenuColours & | colours |
| ) |  |  |

Set menu window attributes

Parameters:

  | windowAttributes | The attributes for the menu window
  | colours | The colours of the menu window

## Member Data Documentation

CComboBox* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_bankCombo`[protected]`

The bank combo box

Definition at line 425 of file CPresetBrowser.hpp.

CMenu* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_bankMenu`[protected]`

The bank menu

Definition at line 426 of file CPresetBrowser.hpp.

CSystemString Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_bankPath`[protected]`

The path to the selected bank

Definition at line 424 of file CPresetBrowser.hpp.

Referenced by getBankPath().

CMomentaryButton* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_loadButton`[protected]`

The load button

Definition at line 427 of file CPresetBrowser.hpp.

IPresetHandler* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_presetHandler`[protected]`

The handler for preset information

Definition at line 430 of file CPresetBrowser.hpp.

CSystemString Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_rootPath`[protected]`

The root path

Definition at line 429 of file CPresetBrowser.hpp.

CMomentaryButton* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_saveButton`[protected]`

The save button

Definition at line 428 of file CPresetBrowser.hpp.

CPresetBrowserSelector* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::m_selector`[protected]`

The selector

Definition at line 431 of file CPresetBrowser.hpp.